## mx4j.remote.rmi
Class RMIRemoteNotificationClientHandler

    java.lang.Object
      mx4j.remote.AbstractRemoteNotificationClientHandler
          mx4j.remote.rmi.RMIRemoteNotificationClientHandler

All Implemented Interfaces:
  RemoteNotificationClientHandler

public class RMIRemoteNotificationClientHandler
extends AbstractRemoteNotificationClientHandler

RMI-specific RemoteNotificationClientHandler.

Version:
  $Revision: 1.3 $

Constructor Summary
`RMIRemoteNotificationClientHandler(javax.management.remote.rmi.RMIConnection connection, ConnectionNotificationEmitter emitter, HeartBeat heartbeat, java.util.Map environment)`

Method Summary
`protected javax.management.remote.NotificationResult` `fetchNotifications(long sequence, int maxNumber, long timeout)` Calls the server side to fetch notifications.

Methods inherited from class mx4j.remote.AbstractRemoteNotificationClientHandler
`addNotificationListener, contains, getLogger, getMaxRetries, getNotificationListener, getNotificationListeners, getNotificationsCount, getRetryPeriod, isActive, removeNotificationListeners, sendConnectionNotificationLost, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIRemoteNotificationClientHandler

    public RMIRemoteNotificationClientHandler(javax.management.remote.rmi.RMIConnection connection,
                                              ConnectionNotificationEmitter emitter,
                                              HeartBeat heartbeat,
                                              java.util.Map environment)

Method Detail

### fetchNotifications

    protected javax.management.remote.NotificationResult fetchNotifications(long sequence,
                                                                            int maxNumber,
                                                                            long timeout)
                                                                     throws java.io.IOException

  Description copied from class: `AbstractRemoteNotificationClientHandler`
  Calls the server side to fetch notifications.

  Specified by:
    `fetchNotifications` in class `AbstractRemoteNotificationClientHandler`
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.